%define major 1
%define libname %mklibname modplug %major
%define develname %mklibname -d modplug

Name:		libmodplug
Summary:	Modplug music player
Version:	0.8.8.4
Release:	%mkrel 3
License:	Public Domain
Group:		System/Libraries
URL:		http://modplug-xmms.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/modplug-xmms/%name-%{version}.tar.gz
Epoch:		1

%description
Olivier Lapicque, author of Modplug, which is arguably the best quality
MOD-playing software available, has placed his sound rendering code in the
public domain.  This library and plugin is based on that code.

It can play 22 different mod formats, including:
MOD, S3M, XM, IT, 669, AMF (both of them), AMS, DBM, DMF, DSM, FAR,
MDL, MED, MTM, OKT, PTM, STM, ULT, UMX, MT2, PSM

%package -n %{libname}
Group:		System/Libraries
Summary:	Modplug shared library

%description -n %{libname}
This is the shared library part of the Modplug music player.

%package -n %develname
Group:		Development/C++
Summary:	Header files for compiling against Modplug library
Provides:	%name-devel = %epoch:%version-%release
Requires:	%{libname} = %epoch:%version-%release
Obsoletes:	%mklibname -d modplug 0

%description -n %develname
This is the development package of libmodplug. Install it if you want to 
compile programs using this library.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%files -n %{libname}
%doc README COPYING
%{_libdir}/libmodplug.so.%{major}*

%files -n %develname
%doc AUTHORS TODO ChangeLog
%{_libdir}/libmodplug.la
%{_libdir}/libmodplug.so
%{_includedir}/libmodplug/
%_libdir/pkgconfig/*.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:0.8.8.4-3.mga3
+ Revision: 357781
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 1:0.8.8.4-2.mga3
+ Revision: 323406
- clean spec
- fix rpm group

* Thu Sep 08 2011 tv <tv> 1:0.8.8.4-1.mga2
+ Revision: 141209
- new release

* Thu May 05 2011 saispo <saispo> 1:0.8.8.2-1.mga1
+ Revision: 95039
- Fix CVE-2011-1574

* Sat Jan 15 2011 mikala <mikala> 1:0.8.8.1-1.mga1
+ Revision: 18544
- Drop mdk macros
- Remove BuildRoot
- imported package libmodplug

